summaryrefslogtreecommitdiffstats
path: root/desktop/murrine/murrine.SlackBuild
diff options
context:
space:
mode:
author Grigorios Bouzakis <grbzks@gmail.com>2010-05-12 17:38:00 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 17:38:00 +0200
commit2fd43e7d2661a422d7a225db108e18a2eebffc7d (patch)
tree659eecaa0398d27a94834bd487ba4f2ae8942614 /desktop/murrine/murrine.SlackBuild
parenta619e9a54b36f43605c543cbac59dd4ede390a1a (diff)
downloadslackbuilds-2fd43e7d2661a422d7a225db108e18a2eebffc7d.tar.gz
slackbuilds-2fd43e7d2661a422d7a225db108e18a2eebffc7d.tar.xz
desktop/murrine: Updated for version 0.90.3
Diffstat (limited to 'desktop/murrine/murrine.SlackBuild')
-rw-r--r--desktop/murrine/murrine.SlackBuild49
1 files changed, 29 insertions, 20 deletions
diff --git a/desktop/murrine/murrine.SlackBuild b/desktop/murrine/murrine.SlackBuild
index 7db179a877..8ac7bf2456 100644
--- a/desktop/murrine/murrine.SlackBuild
+++ b/desktop/murrine/murrine.SlackBuild
@@ -3,14 +3,14 @@
# Slackware build script for murrine
# Written by Grigorios Bouzakis (grbzks@gmail.com)
-# Modified by the SlackBuilds.org project to include theme support
-set -e
+# Modified by the SlackBuilds.org project
PRGNAM=murrine
-VERSION=0.53.1
+VERSION=0.90.3
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+
CWD=$(pwd)
TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
@@ -22,6 +22,8 @@ OUTPUT=${OUTPUT:-/tmp}
# If you want to use another theme or themepack, ammend the line below.
THEME=MurrineThemePack
+set -e
+
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
elif [ "$ARCH" = "i686" ]; then
@@ -32,24 +34,14 @@ rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -jxvf $CWD/$PRGNAM-$VERSION.tar.bz2
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.gz
cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
-
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
- --prefix=/usr \
- --enable-animation
-
-make
-make install DESTDIR=$PKG
-
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
# Install a default set of themes in the right directory.
if [ -r $CWD/$THEME.tar.bz2 ]; then
@@ -57,6 +49,7 @@ if [ -r $CWD/$THEME.tar.bz2 ]; then
( cd $PKG/usr/share/themes
echo "Installing $THEME"
tar -xvjf $CWD/$THEME.tar.bz2
+ chown -R root:root .
)
else
# Warn users that the package may not work as expected
@@ -77,8 +70,24 @@ else
fi
fi
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --enable-animation
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a AUTHORS COPYING CREDITS ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
mkdir -p $PKG/install